SDO_Sequence::insert
SDO-DAS-Relational
SDO Functions
PHP Manual

# SDO_Sequence::move

(^)

SDO_Sequence::move — Move an item to another sequence position

### Description

void SDO_Sequence::move ( int `$toIndex`, int `$fromIndex` )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Modify the position of the item in the sequence, without altering the value of the property in the SDO_DataObject.

### Parameters

`toIndex`

  The destination sequence index. If this index is less than zero or greater than the size of the sequence then the value is appended.

`fromIndex`

  The source sequence index.

### Return Values

None.

### Errors/Exceptions

`SDO_IndexOutOfBoundsException`

  Thrown if the fromIndex sequence index is less than zero or greater than the size of the sequence.

SDO_Sequence::insert
SDO-DAS-Relational
SDO Functions
PHP Manual